### Function

# Dex dbus_connection_close

since: 1.0

#### Declaration [src]

    DexFuture*
    dex_dbus_connection_close (
      GDBusConnection* connection
    )

#### Description [src]

Asynchronously closes a connection.

Available since: 1.0

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `true` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.